Skip to main content
GET
/
authorisations
/
terms
/
{term_id}
Returns a authorisation term.
curl --request GET \
  --url https://api.sandbox.goteal.co/authorisations/terms/{term_id} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.sandbox.goteal.co/authorisations/terms/{term_id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.sandbox.goteal.co/authorisations/terms/{term_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "is_active": true,
  "is_system_term": false,
  "authorisation_version": 1,
  "created_at": "2019-05-17T00:00:00.000Z",
  "name": "Data Sharing Agreement",
  "authorisation_text": "I agree to share my payroll data with the lender for the purpose of income verification.",
  "authorisation_category": "one_time"
}
{
"errors": [
"No X-API-KEY header provided or wrong value"
]
}
{
"errors": [
"The resource with id [8be3bb60-5ab4-4bd2-90e6-3b015691a827] does not exist"
]
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

term_id
string<uuid>
required

ID of the authorisation term to retrieve

Response

OK

id
string<uuid>
required

Unique identifier for the authorisation term

Example:

"550e8400-e29b-41d4-a716-446655440000"

is_active
boolean
default:true
required

Whether this authorisation term is currently active and can be accepted

Example:

true

is_system_term
boolean
required
read-only

True for Teal's default terms, false for client-created terms

Example:

false

authorisation_version
integer<int32>
required
read-only

Auto-incremented version number for the authorisation term

Example:

1

created_at
string<date-time>
required

When the authorisation term was created

Example:

"2019-05-17T00:00:00.000Z"

name
string
required

Human-readable name for the authorisation term

Example:

"Data Sharing Agreement"

authorisation_text
string
required

The legal authorisation text that users will accept

Example:

"I agree to share my payroll data with the lender for the purpose of income verification."

authorisation_category
enum<string>
required

The category of authorisation

Available options:
one_time,
recurring
Example:

"one_time"